Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.commands
Interface IHandler

All Known Implementing Classes:
  AbstractHandler

public interface IHandler

A handler is the pluggable piece of a command that handles execution. Each command can have zero or more handlers associated with it (in general), of which only one will be active at any given moment in time. When the command is asked to execute, it will simply pass that request on to its active handler, if any.

This interface is not intended to be extended by clients.

Since:
  3.0

Method Summary
`void` | `addHandlerListener(IHandlerListener handlerListener)` Registers an instance of `IHandlerListener` to listen for changes to properties of this instance.
`void` | `dispose()` Disposes of this handler.
`Object` | `execute(Map parameterValuesByName)` Executes with the map of parameter values by name.
`Map` | `getAttributeValuesByName()` Returns the map of attribute values by name.
`void` | `removeHandlerListener(IHandlerListener handlerListener)` Unregisters an instance of `IPropertyListener` listening for changes to properties of this instance.

Method Detail

### addHandlerListener

    public void addHandlerListener(IHandlerListener handlerListener)

  Registers an instance of `IHandlerListener` to listen for changes to properties of this instance.

  Parameters:
    `handlerListener` - the instance to register. Must not be `null`. If an attempt is made to register an instance which is already registered with this instance, no operation is performed.

### dispose

    public void dispose()

  Disposes of this handler. This method is run once when the object is no longer referenced. This can be used as an opportunity to unhook listeners from other objects.

### execute

    public Object execute(Map parameterValuesByName)
                   throws ExecutionException

  Executes with the map of parameter values by name.

  Parameters:
    `parameterValuesByName` - the map of parameter values by name. Reserved for future use, must be `null`.
  Returns:
    the result of the execution. Reserved for future use, must be `null`.
  Throws:
    `ExecutionException` - if an exception occurred during execution.

### getAttributeValuesByName

    public Map getAttributeValuesByName()

  Returns the map of attribute values by name.

  Notification is sent to all registered listeners if this property changes.

  Returns:
    the map of attribute values by name. This map may be empty, but is guaranteed not to be `null`. If this map is not empty, its collection of keys is guaranteed to only contain instances of `String`.

### removeHandlerListener

    public void removeHandlerListener(IHandlerListener handlerListener)

  Unregisters an instance of `IPropertyListener` listening for changes to properties of this instance.

  Parameters:
    `handlerListener` - the instance to unregister. Must not be `null`. If an attempt is made to unregister an instance which is not already registered with this instance, no operation is performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.